org.eclipse.wst.jsdt.core.refactoring.descriptors

## Class JavaScriptRefactoringContribution

- java.lang.Object
- - RefactoringContribution
  - - org.eclipse.wst.jsdt.core.refactoring.descriptors.JavaScriptRefactoringContribution

    public abstract class JavaScriptRefactoringContribution
    extends RefactoringContribution

Partial implementation of a Java refactoring contribution.

Note: this class is not intended to be extended outside the refactoring framework.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`JavaScriptRefactoringContribution()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map` `retrieveArgumentMap(RefactoringDescriptor descriptor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaScriptRefactoringContribution

    public JavaScriptRefactoringContribution()

### Method Detail

#### retrieveArgumentMap

    public final java.util.Map retrieveArgumentMap(RefactoringDescriptor descriptor)